FUNCTION TEMPLATE(3)

NAME
boost::xpressive::imbue - Specify a regex traits or a std::locale.

SYNOPSIS

// In header: <boost/xpressive/regex_primitives.hpp>
template<typename Locale> unspecified imbue(Locale const & loc);

DESCRIPTION

imbue() instructs the regex engine to use the specified traits or locale when matching the regex. The entire expression must use the same traits/locale. For instance, the following specifies a locale for use with a regex: std::locale loc; sregex rx = imbue(loc)(+digit);

Parameters:

    loc
        The std::locale or regex traits object.